Bug 514100 - double newlines between rpm changelog entries
double newlines between rpm changelog entries
Status: CLOSED NEXTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-27 20:37 EDT by Jens Petersen
Modified: 2010-11-23 23:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 20:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-07-27 20:37:52 EDT
Description of problem:
Spec files generated by publican seem to have double newlines
between each changelog entry.

How reproducible:
every time

Steps to Reproduce:
1. generate a spec file or rpm with publican
2. inspect %changelog
  
Actual results:
"""
* Tue Mar 10 2009 Scott Radvan sradvan@redhat.com 1.0-14
- Remove more rhel specifics, major review and remove draft, ready for push


* Mon Mar 2 2009 Scott Radvan sradvan@redhat.com 1.0-13
- Lots of minor fixes


* Wed Feb 11 2009 Scott Radvan sradvan@redhat.com 1.0-12
"""

Expected results:
"""
* Tue Mar 10 2009 Scott Radvan <sradvan@redhat.com> 1.0-14
- Remove more rhel specifics, major review and remove draft, ready for push

* Mon Mar 2 2009 Scott Radvan <sradvan@redhat.com> 1.0-13
- Lots of minor fixes

* Wed Feb 11 2009 Scott Radvan sradvan@redhat.com 1.0-12
"""
Comment 1 Jeff Fearn 2009-07-27 20:46:39 EDT
Works in beta:

%changelog
* Thu Dec 18 2008 Jeff Fearn <jfearn@redhat.com> 0.5
- Added appendix on Makefile parameters 
- Added entry to FAQ about java heap space. 

* Tue Nov 25 2008 Brian Fort <bforte@redhat.com> 0.4
- Added "Pre-release and draft documentation" section. 

* Fri Oct 10 2008 Don Domingo <ddomingo@redhat.com> 0.3
- Adding "Conditional Tagging" section. 

* Fri Sep  5 2008 Brian Fort <bforte@redhat.com> 0.2
- General edits and updates related to Publican 0.36 release. Also, new section added to Chapter 3.3. 

* Fri Jun  6 2008 Murray McAllister <mmcallis@redhat.com> 0.1.1
- Updated Branding to note addition of oVirt and GIMP brands 

* Fri May 16 2008 Jeff Fearn <jfearn@redhat.com> 0.1
- Updated FAQ 

* Thu Dec 13 2007 Murray McAllister <mmcallis@redhat.com> 0.0
- Initial content release

Note You need to log in before you can comment on or make changes to this bug.